clang-tools 6.0.0

Classes | Namespaces | Functions | Variables
PerformanceTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "FasterStringFindCheck.h"`
`#include "ForRangeCopyCheck.h"`
`#include "ImplicitConversionInLoopCheck.h"`
`#include "InefficientAlgorithmCheck.h"`
`#include "InefficientStringConcatenationCheck.h"`
`#include "InefficientVectorOperationCheck.h"`
`#include "MoveConstArgCheck.h"`
`#include "MoveConstructorInitCheck.h"`
`#include "NoexceptMoveConstructorCheck.h"`
`#include "TypePromotionInMathFnCheck.h"`
`#include "UnnecessaryCopyInitialization.h"`
`#include "UnnecessaryValueParamCheck.h"`
Include dependency graph for PerformanceTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::performance::PerformanceModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::performance

## Functions
static ClangTidyModuleRegistry::Add< PerformanceModule > | clang::tidy::performance::X ("performance-module", "Adds performance checks.")

## Variables
volatile int | clang::tidy::PerformanceModuleAnchorSource = 0